# streambuf File Reference

Go to the source code of this file.

## Classes

- class std::basic_streambuf< _CharT, _Traits >
    The actual work of input and output (interface).This is a base class. Derived stream buffers each control a pair of character sequences: one for input, and one for output. More...

## Namespaces

- namespace std

## Functions

- template<typename _CharT , typename _Traits > streamsize std::__copy_streambufs_eof (basic_streambuf< _CharT, _Traits > *, basic_streambuf< _CharT, _Traits > *, bool &)
- template<> streamsize std::__copy_streambufs_eof (basic_streambuf< wchar_t > *__sbin, basic_streambuf< wchar_t > *__sbout, bool &__ineof)
- template<> streamsize std::__copy_streambufs_eof (basic_streambuf< char > *__sbin, basic_streambuf< char > *__sbout, bool &__ineof)

## Detailed Description

This is a Standard C++ Library header.

Definition in file streambuf.